    import {TransientsShadow} from 'f.lux/src/Transients.js'

public class | source

# TransientsShadow

#### Extends:

Shadow → TransientsShadow

## Member Summary

Public Members
public get | size: * |

## Method Summary

Public Methods
public | [Symbol.iterator](): * |
public | clear() |
public | delete(id: *) |
public | entries(): * |
public | has(id: *): * |
public | keys(): * |
public | set(id: *, property: *): * |
public | sweep() |
public | values(): * |

## Inherited Summary

From class Shadow
public | [_impl]: * |
public | $(): * |
public | $$(): * |
public | toJSON(): * |
public | toString(): * |

## Public Members

### public get size: * source

## Public Methods

### public [Symbol.iterator](): * source

#### Return:

*

### public clear() source

### public delete(id: *) source

#### Params:

Name | Type | Attribute | Description
id | * |  |

### public entries(): * source

#### Return:

*

### public has(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public keys(): * source

#### Return:

*

### public set(id: *, property: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |
property | * |  |

#### Return:

*

### public sweep() source

### public values(): * source

#### Return:

*